SDXFrameWork 0.09 SDXFrameWork

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Enumerations Enumerator Pages
Static Public Member Functions | List of all members
SDX::FilterBlt Class Reference

フィルター処理したイメージを生成. More...

`#include <Filter.h>`

## Static Public Member Functions
static Image | Mono (const Image *元イメージ, int 青色差, int 赤色差)
| モノトーンフィルタ. More...
static Image | Mono (const Image *元イメージ, int srcX1, int srcY1, int srcX2, int srcY2, int destX, int destY, int 青色差, int 赤色差)
static Image | Gauss (const Image *元イメージ, int 使用ピクセル幅, int ぼかし強さ)
| ガウスフィルタ. More...
static Image | Gauss (const Image *元イメージ, int srcX1, int srcY1, int srcX2, int srcY2, int destX, int destY, int 使用ピクセル幅, int ぼかし強さ)
static Image | DownScale (const Image *元イメージ, int num)
| 縮小フィルタ. More...
static Image | DownScale (const Image *元イメージ, int srcX1, int srcY1, int srcX2, int srcY2, int destX, int destY, int num)
static Image | BrightClip (const Image *元イメージ, ClipType cmpType, int cmpParam, bool isClipFill, int clipFillColor, int clipFillAlpha)
| 明るさクリップフィルタ. More...
static Image | BrightClip (const Image *元イメージ, int srcX1, int srcY1, int srcX2, int srcY2, int destX, int destY, ClipType cmpType, int cmpParam, bool isClipFill, int clipFillColor, int clipFillAlpha)
static Image | Hsb (const Image *元イメージ, int hue, int saturation, int bright)
| 色相・彩度・明度フィルタ. More...
static Image | Hsb (const Image *元イメージ, int srcX1, int srcY1, int srcX2, int srcY2, int destX, int destY, int hue, int saturation, int bright)
static Image | MonoHsb (const Image *元イメージ, int hue, int saturation, int bright)
| 色相・彩度・明度フィルタ. More...
static Image | MonoHsb (const Image *元イメージ, int srcX1, int srcY1, int srcX2, int srcY2, int destX, int destY, int hue, int saturation, int bright)
static Image | Invert (const Image *元イメージ)
| 階調反転フィルタ. More...
static Image | Invert (const Image *元イメージ, int srcX1, int srcY1, int srcX2, int srcY2, int destX, int destY)
static Image | Level (const Image *元イメージ, int min, int max, int gammma, int affterMin, int affterMax)
| レベル補正フィルタ. More...
static Image | Level (const Image *元イメージ, int srcX1, int srcY1, int srcX2, int srcY2, int destX, int destY, int min, int max, int gammma, int affterMin, int affterMax)
static Image | TwoColor (const Image *元イメージ, int threshold, int lowColor, int lowAlpha, int highColor, int highAlpha)
| ２階調フィルタ. More...
static Image | TwoColor (const Image *元イメージ, int srcX1, int srcY1, int srcX2, int srcY2, int destX, int destY, int threshold, int lowColor, int lowAlpha, int highColor, int highAlpha)
static Image | GradientMap (const Image *元イメージ, const Image *mapGraph, bool isReverse)
| グラデーションマップフィルタ. More...
static Image | GradientMap (const Image *元イメージ, int srcX1, int srcY1, int srcX2, int srcY2, int destX, int destY, const Image *mapGraph, bool isReverse)

## Detailed Description

フィルター処理したイメージを生成.

## Member Function Documentation

static Image SDX::FilterBlt::Mono | ( | const Image * | 元イメージ,
|  | int | 青色差,
|  | int | 赤色差
| ) |  |
| static

モノトーンフィルタ.

static Image SDX::FilterBlt::Gauss | ( | const Image * | 元イメージ,
|  | int | 使用ピクセル幅,
|  | int | ぼかし強さ
| ) |  |
| static

ガウスフィルタ.

static Image SDX::FilterBlt::DownScale | ( | const Image * | 元イメージ,
|  | int | num
| ) |  |
| static

縮小フィルタ.

static Image SDX::FilterBlt::BrightClip | ( | const Image * | 元イメージ,
|  | ClipType | cmpType,
|  | int | cmpParam,
|  | bool | isClipFill,
|  | int | clipFillColor,
|  | int | clipFillAlpha
| ) |  |
| static

明るさクリップフィルタ.

static Image SDX::FilterBlt::Hsb | ( | const Image * | 元イメージ,
|  | int | hue,
|  | int | saturation,
|  | int | bright
| ) |  |
| static

色相・彩度・明度フィルタ.

static Image SDX::FilterBlt::MonoHsb | ( | const Image * | 元イメージ,
|  | int | hue,
|  | int | saturation,
|  | int | bright
| ) |  |
| static

色相・彩度・明度フィルタ.

static Image SDX::FilterBlt::Invert | ( | const Image * | 元イメージ | ) |
| static

階調反転フィルタ.

各ピクセルのRGB値を反転する。

static Image SDX::FilterBlt::Level | ( | const Image * | 元イメージ,
|  | int | min,
|  | int | max,
|  | int | gammma,
|  | int | affterMin,
|  | int | affterMax
| ) |  |
| static

レベル補正フィルタ.

画像にレベル補正を行い、コントラストを調整する。
処理前下限、0以上にすると暗くなります。
処理前上限、255以下にすると、明るくなります。
処理後下限、0以上にすると白っぽくなります。
処理後上限、255以下にすると黒に近くなります
ガンマ値は1以上にすると、明るくなり、1以下にすると暗くなります。

static Image SDX::FilterBlt::TwoColor | ( | const Image * | 元イメージ,
|  | int | threshold,
|  | int | lowColor,
|  | int | lowAlpha,
|  | int | highColor,
|  | int | highAlpha
| ) |  |
| static

２階調フィルタ.

各ピクセルの輝度が閾値より暗いか明るいかで各ピクセルを変換する

static Image SDX::FilterBlt::GradientMap | ( | const Image * | 元イメージ,
|  | const Image * | mapGraph,
|  | bool | isReverse
| ) |  |
| static

グラデーションマップフィルタ.

各ピクセルの輝度からグラデーションマップのＸ座標を算出し変換する。
輝度が0の場合はグラデーションマップの一番左上のピクセルの色が( x:0 y:0 座標のピクセル )、
輝度が255( 最大 )の場合、グラデーションマップの一番右上のピクセルの色が( x:255 y:0 座標のピクセル )
出力結果の色になる。